Hide navigation sidebar
Hide table of contents sidebar
Skip to content

Overview

- Why msgspec?
- Installation
- Benchmarks

User Guide

- Usage
- Supported Types
- Structs
- Constraints
- Converters
- JSON Schema
- Schema Evolution

Advanced

- Extending
- Inspecting Types
- Performance Tips

Reference

- API Docs
- Examples
  Toggle navigation of Examples
  - GeoJSON
  - Asyncio TCP Key-Value Server
  - Conda Repodata
  - Parsing `pyproject.toml`
  - Usage with EdgeDB
- Changelog

Back to top
Toggle table of contents sidebar

# Index